# class TestAndIncr |
Full name | `Snmp::TestAndIncr`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TestAndIncr ()
- TestAndIncr (void* data, int len)
- ~TestAndIncr ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- u_int32_t m_TestAndIncr
- static const u_int32_t s_TestAndIncrMinSize
- static const u_int32_t s_TestAndIncrMaxSize

## Detailed Description

static const int s_type | ### s_type

u_int32_t m_TestAndIncr | ### m_TestAndIncr

static const u_int32_t s_TestAndIncrMinSize | ### s_TestAndIncrMinSize

static const u_int32_t s_TestAndIncrMaxSize | ### s_TestAndIncrMaxSize

TestAndIncr () | ### TestAndIncr

TestAndIncr (void* data, int len) | ### TestAndIncr

~TestAndIncr () | ### ~TestAndIncr

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.